Bug 973843 - mongo client lookup error
Summary: mongo client lookup error
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: mongodb   
(Show other bugs)
Version: 20
Hardware: x86_64 Linux
unspecified
urgent
Target Milestone: ---
Assignee: Nathaniel McCallum
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-12 22:53 UTC by Patrice FERLET
Modified: 2014-10-01 11:43 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-01 11:43:28 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace mongo 2>mongo.strace (50.75 KB, text/plain)
2013-06-12 22:53 UTC, Patrice FERLET
no flags Details

Description Patrice FERLET 2013-06-12 22:53:04 UTC
Created attachment 760337 [details]
strace mongo 2>mongo.strace

Description of problem:
mongo client tells: 

mongo: symbol lookup error: mongo: undefined symbol: _ZN2v86LockerC1EPNS_7IsolateE


Version-Release number of selected component (if applicable):
2.2.4

How reproducible:
always

Steps to Reproduce:
1. run "mongo" from terminal
2. no connection to mongo
3.

Actual results:

[patachou@patrice-desktop-home ~]$ mongo
MongoDB shell version: 2.2.4
mongo: symbol lookup error: mongo: undefined symbol: _ZN2v86LockerC1EPNS_7IsolateE


Expected results:
a mongo shell

Additional info:

This append after some yum updates. I'm unable to tell when it crashes first.

At first I had some segfault, I decided to do "yum reinstall" on mongodb and mongodb-server. Now, the error is a symbol lookup error.

I restarted mongoserver, resintall libmongodb... etc... 

mongoimport, mongoexport, mongodump etc... works as expected, but the mongo command crashes... and it's very problematic because I have lot of request to do.

I give the strace

Comment 1 Sebastian Dyroff 2013-06-21 07:44:49 UTC
I had the same problem. Solved it by removing chromium from spots repository. The v8 library provided by fedora-chromium repo seems to be incompatible with the libmongodb.

Comment 2 Patrice FERLET 2013-06-30 14:32:57 UTC
OK, I recompiled the sRPM and it works. @Sebastian This may be the problem. Maybe I must contact chromium packager so

Comment 3 TR Bentley 2013-09-03 20:01:00 UTC
Happens on Fedora 19 as well

Comment 4 Ankit Patel 2013-09-23 11:24:10 UTC
I did remove chromium, chromium-ffmpegsumo, v8, v8-devel and then try to use 'mongo' it did work perfectly. After that I thought to try installing chromium which of course brings all the dependencies of v8, etc and then 'mongo' stopped working on my Fedora 19.

Comment 5 Juan P. Daza P. 2013-09-24 18:57:35 UTC
Also happens with mongodb-2.4.6 on Fedora 19

Comment 6 Juan P. Daza P. 2013-09-24 19:07:53 UTC
As the comment 4(In reply to Ankit Patel from comment #4)

The problem is there are two v8 libraries from fedora repo (3.14.5.10-2.fc19) and from fedora-chromium (3.17.6.14-2.fc19) repo.

Comment 7 Andrey Ilyukhin 2013-11-19 13:31:13 UTC
(In reply to Juan P. Daza P. from comment #6)
> As the comment 4(In reply to Ankit Patel from comment #4)
> 
> The problem is there are two v8 libraries from fedora repo
> (3.14.5.10-2.fc19) and from fedora-chromium (3.17.6.14-2.fc19) repo.

on Fedora 19 for me works after downgrade v8 to 3.14.5.10-2.fc19 and remove chromium.

Comment 8 Fedora End Of Life 2013-12-21 13:59:05 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 TR Bentley 2013-12-21 15:33:28 UTC
Bumping to F20 as this is still a problem with F20

Comment 10 Marek Skalický 2014-10-01 11:43:28 UTC
Is this bug still actual? (it is quite old)

If yes, please reopen...

I closed this bug because now it's working for me well with Spot's repo https://repos.fedorapeople.org/repos/spot/chromium-stable/ . V8 library from this repo hes been renamed (chromium-v8 package - libcv8.so library), so it doesn't conflict...


Note You need to log in before you can comment on or make changes to this bug.